Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.layout
Class LayoutPresentationContext

    java.lang.Object
      com.bea.netuix.servlets.controls.ControlContext
          com.bea.netuix.servlets.controls.PresentationContext
              com.bea.netuix.servlets.controls.layout.LayoutPresentationContext

All Implemented Interfaces
  Serializable

Direct Known Subclasses:
  BorderLayoutPresentationContext, FlowLayoutPresentationContext, GridLayoutPresentationContext

    public class LayoutPresentationContext

extends PresentationContext

Used to provide access to presentation-related attributes specific to the `Layout` in use. Typically used during portal rendering via look and feel skeleton files. The skeleton file name for a `Layout` portal component must be <type>layout.jsp, where <type> is the string specified by the type attribute in the `Layout` portal component. For example:

<netuix:layout type="custom" title="Custom Layout" ...>

will delegate rendering tasks to customlayout.jsp in your skeleton directory.

See Also
  `getLayoutPresentationContext(javax.servlet.http.HttpServletRequest)`, Serialized Form

Field Summary
`protected static String` | `CLASS_NAME`

Method Summary
`static LayoutPresentationContext` | `getLayoutPresentationContext(javax.servlet.http.HttpServletRequest request)` This is a convenience method for returning a reference to the one and only LayoutPresentationContext.
`List` | `getPlaceholders()` This is a convenience method for getting `PlaceholderPresentationContext`s for all placeholder children of this layout.
`String` | `getType()` Returns the text of the type attribute that corresponds to this `Layout` portal component.

Methods inherited from class com.bea.netuix.servlets.controls.PresentationContext
`getAttributeRenderer, getChildren, getChildren, getFirstChild, getOrderedChildren, getParsedProperties, getPresentationClass, getPresentationId, getPresentationStyle, getProperties, getProperty, getProperty, getPropertyAsBoolean, getPropertyAsInt, getRenderFormat, getResolvedLocale, getTagName, isVisible, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASS_NAME

    protected static final String CLASS_NAME

Method Detail

### getType

    public String getType()

  Returns the text of the type attribute that corresponds to this `Layout` portal component.

  Returns
    The text of the type attribute as a String, if any

### getPlaceholders

    public List getPlaceholders()

  This is a convenience method for getting `PlaceholderPresentationContext`s for all placeholder children of this layout. The same functionality can be achieved by calling `PresentationContext#getChildren()`.

  Returns
    A list containing `PlaceholderPresentationContext`s of all immediate placeholder children of this layout, or null if no placeholder children exist.

### getLayoutPresentationContext

    public static LayoutPresentationContext getLayoutPresentationContext(javax.servlet.http.HttpServletRequest request)

  This is a convenience method for returning a reference to the one and only LayoutPresentationContext. Note this method will only work if called from within a portal. This method may return null if called when no appropriate context exists, but such a context should safely exist when being fetched from the associated skeleton JSP during normal portal rendering.

  Parameters
    `request` - The current HTTPServletRequest instance
  Returns
    A reference to the current LayoutPresentationContext, if any

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.